%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Crypt-DES
Version:       2.07
Release:       3mamba
Summary:       Crypt::DES - Perl DES encryption module
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
Source:        http://www.cpan.org/modules/by-module/Crypt/Crypt-DES-%{version}.tar.gz
URL:           https://www.cpan.org/
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel >= %perl_major_ver
Requires:      perl >= %perl_major_ver

%description
The Crypt::DES module implements the Crypt::CBC interface.
Do note that DES only uses 8 byte keys and only works on 8 byte data blocks.
If you're intending to encrypt larger blocks or entire files, please use Crypt::CBC in conjunction with this module.
Also note that the DES algorithm is, by today's standard, weak encryption.
Crypt::Blowfish is highly recommended if you're interested in using strong encryption and a faster algorithm.

%prep
%setup -q -n Crypt-DES-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 2.07-3mamba
- rebuilt with perl 5.36.0

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.07-2mamba
- rebuilt with perl 5.24

* Sun Jul 28 2013 Automatic Build System <autodist@mambasoft.it> 2.07-1mamba
- automatic update by autodist

* Sat Nov 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.05-3mamba
- perl 5.16 mass rebuild

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.05-2mamba
- automatic rebuild by autodist

* Tue Nov 13 2007 Aleph0 <aleph0@openmamba.org> 2.05-1mamba
- update to 2.05

* Tue Jan 18 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.03-2qilnx
- fix version requirement for perl (>= instead of > )

* Tue Feb 24 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.03-1qilnx
- First build
